@rem = '--*-Perl-*--
@echo off
if "%OS%" == "Windows_NT" goto WinNT
perl -x -S "%0" %1 %2 %3 %4 %5 %6 %7 %8 %9
goto endofperl
:WinNT
perl -x -S "%0" %*
if NOT "%COMSPEC%" == "%SystemRoot%\system32\cmd.exe" goto endofperl
if %errorlevel% == 9009 echo You do not have Perl in your PATH.
goto endofperl
@rem ';
#!perl
#line 14

############################################
#                                          #
#  The script "ucfirst.bat" is             #
#                                          #
#  Copyright (C) 2005 by Steffen Beyer.    #
#  All rights reserved.                    #
#                                          #
#                                          #
#  The script "ucfirst.bat" is             #
#                                          #
#  free software; you can redistribute it  #
#  and/or modify it under the same terms   #
#  as Perl itself.                         #
#                                          #
############################################

use Date::Calc qw(ISO_LC ISO_UC);

# Usage: ucfirst <filename>+

$self = $0;
$self =~ s!^.*/!!;

die "Usage: $self <filename>+\n" unless (@ARGV);

foreach (@ARGV)
{
    FILE:
    foreach $filename (glob($_))
    {
        next FILE unless (-f $filename);
        unless (rename($filename,"$filename.bak"))
        {
            warn "unable to rename '$filename' to '$filename.bak': $!\n";
            next FILE;
        }
        unless (open(INPUT, "<$filename.bak"))
        {
            warn "unable to read '$filename.bak': $!\n";
            next FILE;
        }
        unless (open(OUTPUT, ">$filename"))
        {
            warn "unable to write '$filename': $!\n";
            close(INPUT);
            next FILE;
        }
        while (<INPUT>)
        {
            $_ = join('',
                 map { $_ = ISO_LC($_); my $uc = substr($_,0,1); substr($_,0,1) = ISO_UC($uc); $_; }
                 split(/([^a-zA-Z0-9'\xC0-\xFF]+)/, $_));
            print OUTPUT;
        }
        close(INPUT);
        close(OUTPUT);
    }
}

__END__
:endofperl
